Bug 1142623 - No support for DPC
No support for DPC
Status: RESOLVED FIXED
Classification: SUSE Linux Enterprise Server
Product: Beta SUSE Linux Enterprise Server 12 SP5
Classification: SUSE Linux Enterprise Server
Component: Kernel
Beta 2
aarch64 SLES 12
: P3 - Medium : Normal
: Beta 3
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-24 09:48 UTC by tian tao
Modified: 2019-09-24 06:52 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo? (tiantao6)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tian tao 2019-07-24 09:48:07 UTC
commit 3321eafd2a79f15126ebaa82f1b5d7fce89c02cb
Author: Bjorn Helgaas <bhelgaas@google.com>
Date:   Fri Oct 20 08:48:06 2017 -0500

    PCI/portdrv: Factor out Interrupt Message Number lookup

    Factor out Interrupt Message Number lookup from the MSI/MSI-X interrupt
    setup.  One side effect is that we only have to check once to see if we
    have enough vectors for all the services.  No functional change intended.

    Signed-off-by: Bjorn Helgaas <bhelgaas@google.com>
    Reviewed-by: Christoph Hellwig <hch@lst.de>


we found that the kernel of suse didnot support  DPC(Downstream Port Containment).
We think that this patch 3321eafd2a79f15126ebaa82f1b5d7fce89c02cb is missing.

Line 67: linux-te6r:~ # dmesg | grep dpc
	Line 1588: [    7.818281] dpc 0000:00:00.0:pcie010: request IRQ-1 failed: -22
	Line 1589: [    7.818283] dpc: probe of 0000:00:00.0:pcie010 failed with error -22
	Line 1593: [    7.819395] dpc 0000:00:04.0:pcie010: request IRQ-1 failed: -22
	Line 1594: [    7.819397] dpc: probe of 0000:00:04.0:pcie010 failed with error -22
	Line 1598: [    7.820520] dpc 0000:00:08.0:pcie010: request IRQ-1 failed: -22
	Line 1599: [    7.820522] dpc: probe of 0000:00:08.0:pcie010 failed with error -22
	Line 1603: [    7.821742] dpc 0000:00:0c.0:pcie010: request IRQ-1 failed: -22
	Line 1604: [    7.821744] dpc: probe of 0000:00:0c.0:pcie010 failed with error -22
	Line 1608: [    7.822853] dpc 0000:00:10.0:pcie010: request IRQ-1 failed: -22
	Line 1609: [    7.822855] dpc: probe of 0000:00:10.0:pcie010 failed with error -22
	Line 1613: [    7.824078] dpc 0000:00:11.0:pcie010: request IRQ-1 failed: -22
	Line 1614: [    7.824080] dpc: probe of 0000:00:11.0:pcie010 failed with error -22
	Line 1618: [    7.825242] dpc 0000:00:12.0:pcie010: request IRQ-1 failed: -22
	Line 1619: [    7.825244] dpc: probe of 0000:00:12.0:pcie010 failed with error -22
	Line 1627: [    7.829298] dpc 0000:80:00.0:pcie010: request IRQ-1 failed: -22
	Line 1628: [    7.829301] dpc: probe of 0000:80:00.0:pcie010 failed with error -22
	Line 1632: [    7.830558] dpc 0000:80:04.0:pcie010: request IRQ-1 failed: -22
	Line 1633: [    7.830560] dpc: probe of 0000:80:04.0:pcie010 failed with error -22
	Line 1637: [    7.831815] dpc 0000:80:08.0:pcie010: request IRQ-1 failed: -22
	Line 1638: [    7.831817] dpc: probe of 0000:80:08.0:pcie010 failed with error -22
	Line 1642: [    7.833042] dpc 0000:80:0c.0:pcie010: request IRQ-1 failed: -22
	Line 1643: [    7.833044] dpc: probe of 0000:80:0c.0:pcie010 failed with error -22
	Line 1647: [    7.834289] dpc 0000:80:10.0:pcie010: request IRQ-1 failed: -22
	Line 1648: [    7.834291] dpc: probe of 0000:80:10.0:pcie010 failed with error -22
Comment 1 Takashi Iwai 2019-07-24 10:13:26 UTC
Did backporting the suggested commit really fix the issue on your machine?
Comment 2 tian tao 2019-07-24 10:23:17 UTC
(In reply to Takashi Iwai from comment #1)
> Did backporting the suggested commit really fix the issue on your machine?

sorry.the answer is no.Only review code finds that the patch is missing. It is uncertain whether other patches are required. we need you ti  provide professional analysis.
Comment 3 Takashi Iwai 2019-07-24 11:04:52 UTC
OK, thanks.  Now looking further on SLE12-SP5 tree, I found that the commit was already backported.  However, the backported patch (and the followup one) don't look correct.  They mangled between AER and DPC bits, maybe trying to refresh and adapt to the current SLE15 code and confused.

I'm going to fix them up from the upstream code.
Comment 4 Takashi Iwai 2019-07-24 13:23:06 UTC
A test kernel is being built in OBS home:tiwai:bsc1142623 repo.  It'll appear at:
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1142623/standard/

Please give it a try later.
Comment 8 Takashi Iwai 2019-07-26 13:29:37 UTC
The fix is already in SLE15-SP1 branch and will be included in the next beta.
Please reopen if the problem persists with the new release.
Comment 9 Takashi Iwai 2019-07-26 15:58:04 UTC
It turned out that SLE12-SP5 still didn't merge SLE15-SP1 branch, so it slipped from beta3.  Should be included after beta3.
Comment 10 Takashi Iwai 2019-07-30 12:53:09 UTC
... and the second submission of SLE12-SP5 beta3 kernel contains the fix, so it should be included in beta3 as planned.
Comment 16 Swamp Workflow Management 2019-08-07 04:40:46 UTC
SUSE-SU-2019:2070-1: An update that solves 7 vulnerabilities and has 95 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1103991,1103992,1104745,1109837,1111666,1112374,1119222,1123080,1127034,1127315,1127611,1129770,1130972,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1136217,1136342,1136460,1136461,1136462,1136467,1136896,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139358,1139619,1140133,1140139,1140322,1140559,1140652,1140676,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1142023,1142052,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-azure-4.12.14-6.23.1, kernel-source-azure-4.12.14-6.23.1, kernel-syms-azure-4.12.14-6.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2019-08-07 04:52:33 UTC
SUSE-SU-2019:2073-1: An update that solves 7 vulnerabilities and has 78 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1103991,1103992,1104745,1109837,1111666,1112374,1119222,1123080,1127034,1127315,1127611,1129770,1130972,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1136217,1136342,1136460,1136461,1136462,1136467,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139358,1139619,1140133,1140139,1140322,1140559,1140652,1140676,1140903,1140945,1140948,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.15.1, kernel-debug-4.12.14-197.15.1, kernel-default-4.12.14-197.15.1, kernel-docs-4.12.14-197.15.1, kernel-kvmsmall-4.12.14-197.15.1, kernel-obs-qa-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-vanilla-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.15.1, kernel-obs-build-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-syms-4.12.14-197.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2019-08-07 05:13:58 UTC
SUSE-SU-2019:2073-1: An update that solves 7 vulnerabilities and has 78 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1103991,1103992,1104745,1109837,1111666,1112374,1119222,1123080,1127034,1127315,1127611,1129770,1130972,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1136217,1136342,1136460,1136461,1136462,1136467,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139358,1139619,1140133,1140139,1140322,1140559,1140652,1140676,1140903,1140945,1140948,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.15.1, kernel-debug-4.12.14-197.15.1, kernel-default-4.12.14-197.15.1, kernel-docs-4.12.14-197.15.1, kernel-kvmsmall-4.12.14-197.15.1, kernel-obs-qa-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-vanilla-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.15.1, kernel-obs-build-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-syms-4.12.14-197.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2019-08-07 05:37:31 UTC
SUSE-SU-2019:2069-1: An update that solves 18 vulnerabilities and has 157 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1088047,1094555,1098633,1103990,1103991,1103992,1104745,1106383,1109837,1111666,1112374,1114279,1114685,1119113,1119222,1119532,1120423,1123080,1125703,1127034,1127315,1127611,1128432,1128902,1129770,1130836,1132390,1133021,1133401,1133738,1134090,1134097,1134390,1134395,1134399,1134730,1134738,1135153,1135296,1135335,1135556,1135642,1135897,1136156,1136157,1136161,1136217,1136264,1136271,1136333,1136342,1136343,1136345,1136348,1136460,1136461,1136462,1136467,1137103,1137194,1137224,1137366,1137429,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137811,1137827,1137884,1137985,1138263,1138291,1138293,1138336,1138374,1138375,1138589,1138681,1138719,1138732,1138874,1138879,1139358,1139619,1139712,1139751,1139771,1139865,1140133,1140139,1140228,1140322,1140328,1140405,1140424,1140428,1140454,1140463,1140559,1140575,1140577,1140637,1140652,1140658,1140676,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142265,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-16871,CVE-2018-20836,CVE-2018-20855,CVE-2019-10638,CVE-2019-10639,CVE-2019-1125,CVE-2019-11478,CVE-2019-11599,CVE-2019-11810,CVE-2019-12614,CVE-2019-12817,CVE-2019-12818,CVE-2019-12819,CVE-2019-13233,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP1 (src):    kernel-azure-4.12.14-8.13.1, kernel-source-azure-4.12.14-8.13.1, kernel-syms-azure-4.12.14-8.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2019-08-07 09:56:47 UTC
This is an autogenerated message for OBS integration:
This bug (1142623) was mentioned in
https://build.opensuse.org/request/show/721464 15.1 / kernel-source
Comment 21 Swamp Workflow Management 2019-08-16 16:36:11 UTC
openSUSE-SU-2019:1923-1: An update that solves 8 vulnerabilities and has 97 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1085030,1086103,1102247,1103991,1103992,1104745,1106061,1109837,1111666,1112374,1114279,1119222,1123959,1127034,1127315,1127611,1129770,1130972,1131281,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1135897,1136217,1136342,1136352,1136460,1136461,1136467,1136502,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139101,1139358,1139500,1139619,1140133,1140139,1140322,1140426,1140559,1140652,1140676,1140903,1140945,1141312,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142117,1142118,1142119,1142220,1142221,1142254,1142265,1142350,1142351,1142354,1142359,1142450,1142623,1142635,1142673,1142685,1142701,1142857,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143466,1143507,1143738,1144474,1144518
CVE References: CVE-2018-20855,CVE-2019-10207,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.13.1, kernel-default-4.12.14-lp151.28.13.1, kernel-docs-4.12.14-lp151.28.13.1, kernel-kvmsmall-4.12.14-lp151.28.13.1, kernel-obs-build-4.12.14-lp151.28.13.1, kernel-obs-qa-4.12.14-lp151.28.13.1, kernel-source-4.12.14-lp151.28.13.1, kernel-syms-4.12.14-lp151.28.13.1, kernel-vanilla-4.12.14-lp151.28.13.1
Comment 23 Swamp Workflow Management 2019-09-23 14:25:51 UTC
SUSE-SU-2019:2430-1: An update that solves 45 vulnerabilities and has 474 fixes is now available.

Category: security (important)
Bug References: 1050242,1050549,1051510,1052904,1053043,1055117,1055121,1055186,1056787,1058115,1061840,1064802,1065600,1065729,1066129,1070872,1071995,1075020,1082387,1082555,1083647,1083710,1085535,1085536,1088047,1088804,1093389,1094555,1096003,1098633,1099658,1102247,1103186,1103259,1103990,1103991,1103992,1104745,1106011,1106284,1106383,1106751,1108193,1108838,1108937,1109837,1110946,1111331,1111666,1111696,1112063,1112128,1112178,1112374,1113722,1113956,1114279,1114427,1114542,1114638,1114685,1115688,1117114,1117158,1117561,1118139,1119113,1119222,1119532,1119680,1120091,1120318,1120423,1120566,1120843,1120902,1122767,1122776,1123080,1123454,1123663,1124503,1124839,1125703,1126206,1126356,1126704,1127034,1127175,1127315,1127371,1127374,1127611,1127616,1128052,1128415,1128432,1128544,1128902,1128904,1128971,1128979,1129138,1129273,1129693,1129770,1129845,1130195,1130425,1130527,1130567,1130579,1130699,1130836,1130937,1130972,1131326,1131427,1131438,1131451,1131467,1131488,1131530,1131565,1131574,1131587,1131645,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132044,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132390,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132673,1132681,1132726,1132828,1132894,1132943,1132982,1133005,1133016,1133021,1133094,1133095,1133115,1133149,1133176,1133188,1133190,1133311,1133320,1133401,1133486,1133529,1133547,1133584,1133593,1133612,1133616,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133738,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852,1133897,1134090,1134097,1134160,1134162,1134199,1134200,1134201,1134202,1134203,1134204,1134205,1134223,1134303,1134354,1134390,1134393,1134395,1134397,1134399,1134459,1134460,1134461,1134597,1134600,1134607,1134618,1134651,1134671,1134730,1134738,1134743,1134760,1134806,1134810,1134813,1134848,1134936,1134945,1134946,1134947,1134948,1134949,1134950,1134951,1134952,1134953,1134972,1134974,1134975,1134980,1134981,1134983,1134987,1134989,1134990,1134994,1134995,1134998,1134999,1135006,1135007,1135008,1135018,1135021,1135024,1135026,1135027,1135028,1135029,1135031,1135033,1135034,1135035,1135036,1135037,1135038,1135039,1135041,1135042,1135044,1135045,1135046,1135047,1135049,1135051,1135052,1135053,1135055,1135056,1135058,1135100,1135120,1135153,1135278,1135281,1135296,1135309,1135312,1135314,1135315,1135316,1135320,1135323,1135330,1135335,1135492,1135542,1135556,1135603,1135642,1135661,1135758,1135897,1136156,1136157,1136161,1136188,1136206,1136215,1136217,1136264,1136271,1136333,1136342,1136343,1136345,1136347,1136348,1136353,1136424,1136428,1136430,1136432,1136434,1136435,1136438,1136439,1136456,1136460,1136461,1136462,1136467,1136469,1136477,1136478,1136498,1136573,1136586,1136598,1136881,1136922,1136935,1136978,1136990,1137103,1137151,1137152,1137153,1137162,1137194,1137201,1137224,1137232,1137233,1137236,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137884,1137985,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138263,1138291,1138293,1138336,1138374,1138375,1138589,1138681,1138719,1138732,1138874,1138879,1139358,1139619,1139712,1139751,1139771,1139865,1140133,1140139,1140228,1140322,1140328,1140405,1140424,1140428,1140454,1140463,1140559,1140575,1140577,1140637,1140652,1140658,1140676,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2017-5753,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16871,CVE-2018-16880,CVE-2018-20836,CVE-2018-20855,CVE-2018-7191,CVE-2019-10124,CVE-2019-10638,CVE-2019-10639,CVE-2019-11085,CVE-2019-11091,CVE-2019-1125,CVE-2019-11477,CVE-2019-11478,CVE-2019-11479,CVE-2019-11486,CVE-2019-11487,CVE-2019-11599,CVE-2019-11810,CVE-2019-11811,CVE-2019-11815,CVE-2019-11833,CVE-2019-11884,CVE-2019-12380,CVE-2019-12382,CVE-2019-12456,CVE-2019-12614,CVE-2019-12817,CVE-2019-12818,CVE-2019-12819,CVE-2019-13233,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284,CVE-2019-3846,CVE-2019-3882,CVE-2019-5489,CVE-2019-8564,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.8.1, kernel-rt_debug-4.12.14-14.8.1, kernel-source-rt-4.12.14-14.8.1, kernel-syms-rt-4.12.14-14.8.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-rt-4.12.14-14.8.1, kernel-rt_debug-4.12.14-14.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.